import java.awt.*;
import javax.swing.*;

/**
 * MultiComp.java
 * 
 * An example of an interface with multiple components.
 * loosely based on Pohl and McDowell, 'Java by Dissection' pp 278-279.
 * 
 * Simon Parsons
 * 18th October 2012
 *
 */
public class MultiComp{
	public static void main(String[] args) {
		JFrame frame = new JFrame("Multiple Components");
		Container pane = frame.getContentPane();

		// This time we define two components, a button and a text field
		JTextField input = new JTextField("Edit this and hit <return>");
		JButton goodbye = new JButton("Quit!");

		// The listener has arguments, references to the two components
		MultiListen listener = new MultiListen(input, goodbye);
		
		// Both components are connected to the same listener
		input.addActionListener(listener);	
		goodbye.addActionListener(listener);
		pane.add(input);
		pane.add(goodbye);
		
		// Use a layout manager to determine how to position the components:
		frame.setLayout(new GridLayout(2, 1));
		frame.pack();
		frame.setVisible(true);
	}
}
