import java.awt.event.*;
import javax.swing.*;

/**
 * MultiListen.java
 * 
 * Provides a listener that takes entry from both a textfield and a button.
 * Input from the textfiled gets sent to the console, pressing the
 * button quits the program.
 * 
 * Loosely based on Pohl and McDowell, 'Java by Dissection' pp 280-281.
 * 
 * Simon Parsons
 * 18th October 2012
 *
 */
class MultiListen implements ActionListener{
	
	private JTextField field;
	private JButton button;
	
	// We use a constructor to set up the connection between
	// the interface components and the listener fields.
	public MultiListen(JTextField field, JButton button){
		this.button = button;
		this.field = field;
	}
	
	// Since we have a reference to the components, we can check 
	// where input is coming from
	public void actionPerformed(ActionEvent e){
		if (button == e.getSource()){
			System.out.println("Goodbye!");
			System.exit(0);
		}
		else{
			field = (JTextField)e.getSource();
			String text = field.getText();
			System.out.println(text);
		}
	}
}